
Redmine - Defect #42120

NameError: uninitialized constant ActiveSupport::LoggerThreadSafeLevel::Logger - Redmine-5.x

2025-01-17 19:31 - Jobin J

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Rails support Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 5.1.5

Description

Issue with redmine-5.1.5 and redmine-5.0.10

OS : Debian 12 / AlmaLinux 8.x

ruby: 3.1

I have tested this issue with almost all versions of Redmine-5 today and getting the same error. The issue is happening with the core

redmine without any plugins or themes.

`bundle install` went fine.

Error message on `bundle exec rake db:migrate RAILS_ENV=production`

$ bundle exec rake db:migrate RAILS_ENV=production

rake aborted!

NameError: uninitialized constant ActiveSupport::LoggerThreadSafeLevel::Logger

    Logger::Severity.constants.each do |severity|

    ^^^^^^

 same error on secret generation

$ bundle exec rake secret

rake aborted!

NameError: uninitialized constant ActiveSupport::LoggerThreadSafeLevel::Logger

    Logger::Severity.constants.each do |severity|

    ^^^^^^

Related issues:

Is duplicate of Redmine - Defect #42113: Redmine 5.x not starting with Active... Closed

History

#1 - 2025-01-18 01:53 - Holger Just

- Is duplicate of Defect #42113: Redmine 5.x not starting with ActiveSupport Logger error added

#2 - 2025-01-18 01:54 - Holger Just

- Category changed from Performance to Rails support

- Status changed from New to Closed

- Resolution set to Duplicate

Thank you for your report. This was already reported and fixed in #42113 however. Thus, I'm closing this issue as a duplicate.
